stages:          # List of stages for jobs, and their order of execution
  - deploy

deploy-job:      # This job runs in the deploy stage.
  stage: deploy  # It only runs when *both* jobs in the test stage complete successfully.
  environment: production
  image: docker:stable
  services:
    - docker:dind
  variables:
    DOCKER_HOST: tcp://172.17.0.1:2375
    PROJECT_NAME: ubuntu-wp-phpredis
    TAG: 22.04-6.2
  before_script:
    - docker login -u $DOCKER_REGISTRY_USER -p $DOCKER_REGISTRY_PASSWORD
  after_script:
    - docker logout 
  script:
    - docker build -t $DOCKER_REGISTRY_USER/$PROJECT_NAME:$TAG --no-cache .
    - docker push $DOCKER_REGISTRY_USER/$PROJECT_NAME:$TAG 


